<?php
header("Content-Type: application/xhtml+xml; charset=iso-8859-1");
use_helper('UrlFunctions');
$o_ObjectBean = new CrCovid19cabeceraFN();
  
$tamanioPag = 15;
//COLOCAR CAMPOS DE LA CABECERA DEL LISTADO 
$o_ObjectBean->page = $page;
$o_ObjectBean->tamPag = $tamanioPag;
$o_ObjectBean->sortCampos = $sortCampos;
$o_ObjectBean->sortType   = $sortType;
 
$a_ObjectBean = $o_ObjectBean->select();

 

$o_navigation = new navigation();
$o_navigation->setPaginaActual($page);
$o_navigation->setTamanioPagina($tamanioPag);
$o_navigation->setTotalRegistros($o_ObjectBean->selectNumRows());
$valuesSort = array('sortCampos'=>$sortCampos, 'sortType'=>$sortType);

if(!$page) $page = 1;



ViewResponse::getInstance()->setMethodAjax();

?>
<script>
functionSort = function(campo, type){
  var typeSort      = "";
  var elmSortCampos = $('sortCampos');
  var elmSortType   = $('sortType');
  var a_sortCampos  = elmSortCampos.value!=""?elmSortCampos.value.split(";"):[];
  var a_sortType    = elmSortType.value!=""?elmSortType.value.split(";"):[];
  var pos           = a_sortCampos.indexOf(campo);
  switch (type){
     case 'A' :
       a_sortType[pos]    = "2";
     break;
     case 'D' :
       a_sortCampos = sliceByPos(a_sortCampos, pos);
       a_sortType   = sliceByPos(a_sortType, pos);
     break;
     default :
       a_sortCampos[a_sortCampos.length] = campo;
       a_sortType[a_sortType.length]     = "1";
     break;
  }
  var strSortCampos = a_sortCampos.join(";");
  var strSortType   = a_sortType.join(";");
  concatValueStr('sortCampos='+strSortCampos+'&sortType='+strSortType+"&page=<?=$page?>");
}
</script>

<?php

$strConcat = "sortCampos=".$valuesSort['sortCampos']."&sortType=".$valuesSort['sortType'];

function showImgOrder($valuesSort, $campo, $nameCampos){
  $a_valCampos = explode(";", $valuesSort['sortCampos']);
  $a_valtype   = explode(";", $valuesSort['sortType']);
  $sImg = "
            <a href=\"JavaScript:functionSort('".$campo."', '');\">".$nameCampos."</a>
            <img src=\"/images/common/buttons/arrow.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
          ";
  foreach ($a_valCampos as $key => $val){
    if($val == $campo){
      switch ($a_valtype[$key]){
        case 1:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'A');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_up.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
        case 2:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'D');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_down.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
      }
    }
  };
  return $sImg;
}
?>

<input type="hidden" id="sortCampos" size="100" value="<?=$valuesSort['sortCampos']?>">
<input type="hidden" id="sortType" size="100" value="<?=$valuesSort['sortType']?>">
      <table class="marco" border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td height="17" align="right" class="pager">
            <div id="contenedor">
              <? $o_navigation->ContruirHTMLNavigation('contenedor', $strConcat); ?>
            </div>
          </td>
        </tr>
        <tr>
          <td>
            <table class="grid" width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr height="23">
               <th width="4%" >Nro</th>
                <th width="32%" >Sucursal</th>
			    <th width="32%" >Mercado</th>
			    <th width="10%" >Usuario</th>
			    <th width="10%" >F.Creacion</th>
                <th width="5%">Opcion</th>
              </tr>
              <? if(count($a_ObjectBean)>0){ ?>
              <? foreach ($a_ObjectBean as $iKey => $o_objBean){ ?>
              <tr onClick="TR_click(this);">
               <td class="chk"><?=($tamanioPag)*($page-1)+($iKey+1)?></td>
               
                <td><?php  
					$o_CrSucursalBean = new SucursalBean();
					$o_CrSucursalBean->setIdSucursal($o_objBean->getIdsucursal());
					$o_CrSucursalDP = new SucursalDP($o_CrSucursalBean);
					$a_o_CrSucursalDP = $o_CrSucursalDP->select();
					foreach( $a_o_CrSucursalDP as $key => $o_CrSucursalDP){
						$DescripcionSucursal = $o_CrSucursalDP->getDescripcion();
					}
					echo $DescripcionSucursal;

                	?></td>
                <td><?php  
					$o_CrMercadoBean = new MercadoBean();
					$o_CrMercadoBean->setIdMercado($o_objBean->getIdmercado());
					$o_CrMercadoDP = new MercadoDP($o_CrMercadoBean);
					$a_o_CrMercadoDP = $o_CrMercadoDP->select();
					foreach( $a_o_CrMercadoDP as $key => $o_CrMercadoDP){
						$DescripcionMercado = $o_CrMercadoDP->getDescripcion();
					}
                echo $DescripcionMercado; 
                ?></td>
                <td><?php  echo $o_objBean->getUsuarioregistro(); ?></td>
                <td><?php  echo $o_objBean->getFecharegistro(); ?></td>
                
                <td align="center" valign="top">
                   <img src="/images/common/buttons/btnReview.gif" title="Mostrar" style="cursor:pointer;" onclick="parent.objMainTab.modalDialog('<?=buildUrl('covid19/show/cboSucursal/'.$o_objBean->getIdSucursal().'/cboMercado/'.$o_objBean->getIdMercado());?>','title:Detalle')">&nbsp;
                </td>
              </tr>
              <? } ?>
              <? }else{ ?>
              <tr>
                <td colspan="7" align="center">No se produjo resultado</td>
              </tr>
              <? } ?>
            </table>
          </td>
        </tr>
        <tr>
          <td>Total Registros: <?=count($a_ObjectBean)?></td>
        </tr>
      </table>